﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace filerename
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            
        }



        private bool CheckInput()
        {
            if (txtFolder.Text.Trim() == "")
            {
                MessageBox.Show("フォルダのフルパスを入力してください",
                   "エラー",
                   MessageBoxButtons.OK,
                   MessageBoxIcon.Warning);

                return false;
            }

            return true;
        }

        private void btnRun_Click(object sender, EventArgs e)
        {
            if (!CheckInput())
            {
                txtFolder.Focus();
                return;
            }

            try
            {
                //フォルダ内ファイル一覧取得
                string[] files = System.IO.Directory.GetFiles(txtFolder.Text, "*", System.IO.SearchOption.AllDirectories);

                int compCount = 0;

                //１件ずつリネーム
                foreach (string fileName in files)
                {
                    string afterFileName = fileName.Replace(txtBefore.Text, txtAfter.Text);

                    if (string.Compare(fileName, afterFileName) != 0)
                    {
                        System.IO.File.Move(fileName, afterFileName);
                        compCount++;
                    }
                    
                }

                string compMessage = (compCount == 0 ? "置換対象はありませんでした":compCount+"件置換しました");

                //完了ダイアログ
                MessageBox.Show(compMessage,
                  "完了",
                  MessageBoxButtons.OK,
                  MessageBoxIcon.Information);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message,
                  "エラー",
                  MessageBoxButtons.OK,
                  MessageBoxIcon.Warning);
            }
        }

        private void btnEnd_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        }
    }
}
